%
%  Display Markers at Current Position
%
%  This will list all markers (with comment) from the current position
%  in a list box. In particular, it will list all ships that exploded
%  at a certain place. Just choose that place at the starchart and press
%  Ctrl-L.
%
%  Hacked together by Stefan Reuther, after a request by Lucas di Pentima,
%  on 01/Oct/2002.
%
%  Needs PCC 1.1.1 for the Listbox() construct.
%

Sub ListMarkers
  Local n=0, UI.Result
  With Listbox("Markers") Do
    ForEach Marker Do
      If Loc.X=UI.X And Loc.Y=UI.Y And Comment Then AddItem (n:=n+1), Comment
    Next
    If n Then Run
  EndWith
EndSub

Bind Starchart 'c-l' := 'ListMarkers'
