%
%  PList support for PCC
%
%  Hullgen generates the short hull names for a given ship list.
%  This module sets the short names for the other starship components,
%  from PList (2.31b if anyone cares). Load it from autoexec.q/gameinit.q.
%
%  (Except for someone who tells it the short names, PCC does not need
%  other special support for nonstandard ship lists)
%
%  Requires at least PCC 1.0.18.
%

Print "[plist.q 29/Mar/2002]"

% Beam names: up to 3 chars each. These are not used by PCC, but are
% available for scripts, print forms, etc.
Beam(1).Name.Short  := "Las"           % Laser Cannon
Beam(2).Name.Short  := "KoZ"           % Kill-O-Zap
Beam(3).Name.Short  := "Des"           % Desintegrator
Beam(4).Name.Short  := "Pha"           % Phaser
Beam(5).Name.Short  := "Dis"           % Disruptor
Beam(6).Name.Short  := "ERa"           % Electron Ram
Beam(7).Name.Short  := "Ion"           % Ion Cannon
Beam(8).Name.Short  := "TLB"           % Turbolaser Battery
Beam(9).Name.Short  := "Inp"           % Inpotron Cannon
Beam(10).Name.Short := "MTS"           % Multitraf Spiral

% Torp names: up to 3 chars each. Same as for beams holds here.
Torpedo(1).Name.Short  := "SpR"        % Space Rocket
Torpedo(2).Name.Short  := "FuB"        % Fusion Bomb
Torpedo(3).Name.Short  := "PMB"        % Paralyso-Matic Bomb
Torpedo(4).Name.Short  := "InB"        % Initial Bomb
Torpedo(5).Name.Short  := "Pho"        % Photon Torp
Torpedo(6).Name.Short  := "Gra"        % Graviton Bomb
Torpedo(7).Name.Short  := "Ark"        % Arkon Bomb
Torpedo(8).Name.Short  := "AMB"        % Antimatter Bomb
Torpedo(9).Name.Short  := "Kat"        % Katalysator Bomb
Torpedo(10).Name.Short := "SFD"        % Selphyr-Fataro-Dev.

% Engine names: up to 5 chars each. These are used on the [F6] screen.
Engine(1).Name.Short := "ID-1"         % Impulse drive
Engine(2).Name.Short := "LD-2"         % Linear drive
Engine(3).Name.Short := "DtD-3"        % Dimetrans drive
Engine(4).Name.Short := "DsD-4"        % Dimesextra drive
Engine(5).Name.Short := "MGD-5"        % Metagrav Drive
Engine(6).Name.Short := "EnD-6"        % Enerpsi Drive
Engine(7).Name.Short := "IUD-7"        % Interuniversal Drive
Engine(8).Name.Short := "ImD-8"        % Improbability Drive
Engine(9).Name.Short := "BMD"          % Bistromathic Drive
